Subject: bug#5319: 23.1; emacs crash in org-indent-mode

From: B Smith-Mannschott <[email-masked]>
Date: Sun, 10 Jan 2010 11:27:57 +0100

On Sun, Jan 10, 2010 at 01:02, Chong Yidong <[email-masked]> wrote:
>> 1. install org-mode-6.33f
>> 2. start emacs: emacs -Q
>> 3. create a buffer with some text then swith to org-indent-mode, as below
>>
>> C-x b buf <return>
>> * a <return>
>> C-u 100 <return>
>> ** b <return>
>> c <return>
>> M-x org-mode
>> M-x org-indent-mode
>>
>> 4. then emacs crash. emacs frame height should small than 100
>>    to make emacs crash.
>
> Thanks for the bug report.  I think this is related to a bug that I've
> already fixed some months ago.  Could you kindly check if the problem
> persists, using either the Emacs bzr repository, or the latest pretest
> at:
>
>  ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-23.1.91.tar.gz

I was NOT able to reproduce the crash described by Chong Yidong. I'm
using the following:

- Emacs 23.1.91.1 (x86_64-darwin10.2.0, X toolkit)
 (bzr tag EMACS_PRETEST_23_1_91; revno 99220; Wed 2009-12-30 21:14:46 -0500)

- org-version 6.33f (from my local elisp customization, 23.1.91.1
actually ships with 6.33x)

// Ben